FDFORMAT(1) | General Commands Manual | FDFORMAT(1)

# NAME

`fdformat` —
format a floppy diskette

# SYNOPSIS

`fdformat` | [`-n`] [`-B` nbps] [`-C` ncyl] [`-F` fillbyte] [`-f` device] [`-G` gaplen] [`-I` interleave] [`-P` stepspercyl] [`-S` nspt] [`-T` ntrk] [`-t` type] [`-X` xfer_rate]

# DESCRIPTION

The `fdformat` utility formats a floppy diskette. With no arguments, it formats the default floppy device with the default density parameters (as provided by the floppy diskette device driver).

As the each track of the floppy diskette is formatted, it is read to verify the format was successful.

The `fdformat` utility does not create a filesystem of any kind. Use tools like newfs(8), newfs_msdos(8), or mformat(1) (part of the pkgsrc/sysutils/mtools package) depending on what filesystem type you want to use on the floppy disk to do so.

Available command-line flags are:

`-f` device
  Format the floppy using device instead of the default /dev/rfd0a.
`-t` type
  Format the floppy using parameters for the diskette named type in /etc/floppytab instead of the device default parameters.
`-n`
  Do not verify each track as it is read.
`-B` nbps
  Set the number of bytes per sector for the formatted diskette.
`-S` nspt
  Set the number of sectors per track for the formatted diskette.
`-T` ntrk
  Set the number of tracks (heads) per cylinder for the formatted diskette.
`-C` ncyl
  Set the number of cylinders for the formatted diskette.
`-P` stepspercyl
  Set the number of motor steps per cylinder for the formatted diskette.
`-G` gaplen
  Set the sector gap length for the formatted diskette.
`-F` fillbyte
  Set the fill byte for the formatted diskette.
`-X` xfer_rate
  Set the bit transfer rate for the formatted diskette.
`-I` interleave
  Set the interleave factor for the formatted diskette.

# SEE ALSO

fdc(4) (amiga, i386 and sparc ports)

# HISTORY

The `fdformat` utility appeared in NetBSD 1.3.

# BUGS

Some floppy drive units have physical diskette format sensors which automatically select a diskette density for reading. Such drives can format at alternate densities, but they cannot successfully verify the formatted diskette except at the diskette's normal density.

July 22, 2006 | NetBSD 9.4